autostew/urls.py
from django.conf.urls import include, url
from django.contrib import admin

urlpatterns = [
    url(r'^accounts/', include('autostew_web_account.urls', namespace='account'), name='account'),
    url(r'^admin/', admin.site.urls, name='admin'),
    url(r'^api/', include('autostew_web_api.urls', namespace='api'), name='api'),
    url(r'^contact/', include('autostew_web_contact.urls', namespace='contact'), name='contact'),
    url(r'^session/', include('autostew_web_session.urls', namespace='session'), name='session'),
    url(r'^user/', include('autostew_web_users.urls', namespace='users'), name='user'),
    url(r'^', include('autostew_web_home.urls', namespace='home'), name='home'),
]

autostew_web_account/urls.py
from django.conf.urls import url

from autostew_web_account.views import login_view, account_view, logout_view, register_view, settings_view, \
    rotation_view, queue_view, add_view, remove_rotated_setup, add_setup_to_rotation, remove_queued_setup, \
    add_setup_to_queue, toggle_kicks_view, set_crash_points_limit, set_custom_motd

urlpatterns = [
    url(r'^add$', add_view, name='add'),
    url(r'^toggle_kicks/(?P<pk>[0-9]+)/?$', toggle_kicks_view, name='toggle_kicks'),
    url(r'^set_crash_points_limit/(?P<pk>[0-9]+)/?$', set_crash_points_limit, name='set_crash_points_limit'),
    url(r'^set_custom_motd/(?P<pk>[0-9]+)/?$', set_custom_motd, name='set_custom_motd'),
    url(r'^settings/(?P<pk>[0-9]+)/?$', settings_view, name='settings'),
    url(r'^rotation/(?P<pk>[0-9]+)/?$', rotation_view, name='rotation'),
    url(r'^rotation/(?P<server_pk>[0-9]+)/remove/(?P<entry_pk>[0-9]+)/?$', remove_rotated_setup, name='remove_rotated_setup'),
    url(r'^rotation/(?P<server_pk>[0-9]+)/add/(?P<setup_pk>[0-9]+)/?$', add_setup_to_rotation, name='add_setup_to_rotation'),
    url(r'^queue/(?P<pk>[0-9]+)/?$', queue_view, name='queue'),
    url(r'^queue/(?P<server_pk>[0-9]+)/remove/(?P<entry_pk>[0-9]+)/?$', remove_queued_setup, name='remove_queued_setup'),
    url(r'^queue/(?P<server_pk>[0-9]+)/add/(?P<setup_pk>[0-9]+)/?$', add_setup_to_queue, name='add_setup_to_queue'),
    url(r'^register/?$', register_view, name='register'),
    url(r'^login/?$', login_view, name='login'),
    url(r'^logout/?$', logout_view, name='logout'),
    url(r'^$', account_view, name='home'),
]

autostew_web_home/urls.py
from django.conf.urls import url
from django.views.generic.base import TemplateView, RedirectView

from autostew_web_home.views import HomeView

urlpatterns = [
    url(r'^favicon\.ico$', RedirectView.as_view(url='/static/autostew_web_home/img/Logo_RGB.png', permanent=True)),
    url(r'^faq$', TemplateView.as_view(template_name='autostew_web_home/faq.html'), name='faq'),
    url(r'^$', HomeView.as_view(), name='home'),
]

autostew_web_session/urls.py
from django.conf.urls import url
from django.contrib.auth.decorators import login_required
from django.views.generic.base import TemplateView
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView

from autostew_web_session.models.models import Track
from autostew_web_session.models.session import SessionSetup, Session
from autostew_web_session.models.server import Server
from autostew_web_session.views import ParticipantDetailView, SessionList, TrackDetailView, SessionView
from . import views

app_name = 'session'
urlpatterns = [
    url(r'^tracks/?$', ListView.as_view(model=Track), name='tracks'),
    url(r'^tracks/(?P<pk>[0-9]+)/?$', TrackDetailView.as_view(), name='track'),
    url(r'^list/?$', SessionList.as_view(), name='sessions'),
    url(r'^servers/?$', ListView.as_view(model=Server), name='servers'),
    url(r'^servers/(?P<slug>.+)/?$', DetailView.as_view(model=Server, slug_field='name'), name='server'),
    url(r'^(?P<pk>[0-9]+)/?$', SessionView.as_view(), name='session'),
    url(r'^(?P<pk>[0-9]+)/events/?$', views.SessionEvents.as_view(), name='events'),
    url(r'^(?P<session_id>[0-9]+)/participant/(?P<participant_id>[0-9]+)/?$', ParticipantDetailView.as_view(), name='participant'),
    url(r'^snapshot/(?P<pk>[0-9]+)/?$', SessionView.as_view(), name='snapshot'),
    url(r'^setup/create/?$', login_required(views.CreateSessionView.as_view()), name='create_setup'),
    url(r'^setup/list/?$', ListView.as_view(model=SessionSetup, queryset=SessionSetup.objects.filter(is_template=True)), name='setups'),
    url(r'^setup/(?P<pk>[0-9]+)/?$', DetailView.as_view(model=SessionSetup), name='setup'),
]

autostew_web_users/urls.py
from django.conf.urls import url
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView

from autostew_web_users.models import SteamUser, SafetyClass
from autostew_web_users.views import SteamUserListView

app_name = 'users'
urlpatterns = [
    url(r'^list/?$', SteamUserListView.as_view(), name='list'),
    url(r'^safety_classes/?$', ListView.as_view(model=SafetyClass), name='safety_class_list'),
    url(r'^(?P<slug>.+)/?$', DetailView.as_view(model=SteamUser, slug_field='steam_id'), name='profile'),
]

autostew_web_home/views.py
from django.views.generic.base import TemplateView

from autostew_web_contact.models import ContactMessage
from autostew_web_session.models.server import Server


class HomeView(TemplateView):
    template_name = 'autostew_web_home/home.html'

    def get_context_data(self, **kwargs):
        context = super(HomeView, self).get_context_data(**kwargs)
        context['unread_messages'] = ContactMessage.objects.filter(read=False)
        context['unverified_servers'] = Server.objects.filter(back_verified=False)
        context['servers_in_race'] = [server for server in Server.objects.filter(current_session__isnull=False) if server.is_up]
        context['servers_online'] = [server for server in Server.objects.filter(current_session__isnull=True) if server.is_up]
        return context

autostew_web_home/templates/autostew_web_home/includes/footer.html
{% block content %}
        <footer class="footer">
            <div class="container">
                <p class="text-muted">Autostew - proudly presented by
                    <a href="{% url 'contact:contact' %}">Script Club Racing</a>
                </p>
            </div>
        </footer>
{% endblock %}

autostew_web_home/templates/autostew_web_home/includes/navbar.html
{% load staticfiles %}

{% block content %}
    <center>
        <a href="{% url 'home:home' %}">
            <img src="{% static 'autostew_web_home/img/Logo_letters_Tr_RGB.png' %}"
             class="responsive-img" style='max-height:60px; margin: 40px 0 20px 0px' alt="Autostew">
        </a>
    </center>
    <div class="well bs-sidebar" id="sidebar">
        <ul class="nav nav-pills nav-stacked">
            <li><a href='{% url 'session:sessions' %}'><span class="glyphicon glyphicon-road" style="margin-right: 8%"></span> Sessions</a></li>
            <li><a href='{% url 'session:servers' %}'><span class="glyphicon glyphicon-tasks" style="margin-right: 8%"></span> Servers</a></li>
            <li><a href='{% url 'users:list' %}'><span class="glyphicon glyphicon-user" style="margin-right: 8%"></span> Drivers</a></li>
            <li><a href='{% url 'session:tracks' %}'><span class="glyphicon glyphicon-star" style="margin-right: 8%"></span> Records</a></li>
            <li><a href='{% url 'account:home' %}'><span class="glyphicon glyphicon-wrench" style="margin-right: 8%"></span> DS admin</a></li>
            <li><a href='{% url 'home:faq' %}'><span class="glyphicon glyphicon-question-sign" style="margin-right: 8%"></span> Help</a></li>
            <li><a href='{% url 'contact:contact' %}'><span class="glyphicon glyphicon-heart" style="margin-right: 8%"></span> Contact</a></li>

            {% if user.is_authenticated and user.is_staff %}
                <li><a href='{% url 'admin:login' %}'><span class="glyphicon glyphicon-console" style="margin-right: 8%"></span> Admin</a></li>
            {% endif %}
            {% if user.is_authenticated %}
                <li><a href='{% url 'account:logout' %}'><span class="glyphicon glyphicon-off" style="margin-right: 8%"></span> Logout</a></li>
            {% endif %}

        </ul>
    </div>
{% endblock %}